Skip to main content Accessibility statement Skip to main menu
iOS 
  • iOS 11.0 or higher using iPhone 6 or higher
  • Must support Bluetooth 4.0 or higher

Android 
  • Android 6 or higher
  • Must support Bluetooth 4.0 or higher